using System.Diagnostics;
using System.Reflection;

namespace StorageSystem.Simulators.Core
{
    public static class SimulatorApp
    {
        public static string Company => "Becton Dickinson Rowa Germany GmbH";

        public static string Product => "Storage System library";
        
        public static string Title 
        { 
            get 
            {
                var callingAssembly = Assembly.GetCallingAssembly();
                var assemblyName = callingAssembly.GetName().Name;
                var versionInfo = FileVersionInfo.GetVersionInfo(callingAssembly.Location);
                var productVersion = versionInfo.ProductVersion;

                return $"{assemblyName} [{productVersion}]";
            } 
        }
    }
}
